Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | Protected Member Functions | List of all members
BasicConfigurator Class Reference

Use this class to quickly configure the package. More...

## Static Public Member Functions
static void | configure ()
| Add a ConsoleAppender that uses PatternLayout using the PatternLayout::TTCC_CONVERSION_PATTERN and prints to `stdout` to the root logger. More...
static void | configure (const AppenderPtr &appender)
| Add `appender` to the root logger. More...
static void | resetConfiguration ()
| Reset the default hierarchy to its defaut. More...

## Protected Member Functions
| BasicConfigurator ()

## Detailed Description

Use this class to quickly configure the package.

For file based configuration see PropertyConfigurator. For XML based configuration see DOMConfigurator.

## Constructor & Destructor Documentation

BasicConfigurator | ( |  | ) |
| inline protected

## Member Function Documentation

static void configure | ( |  | ) |
| static

Add a ConsoleAppender that uses PatternLayout using the PatternLayout::TTCC_CONVERSION_PATTERN and prints to `stdout` to the root logger.

static void configure | ( | const AppenderPtr & | appender | ) |
| static

Add `appender` to the root logger.

Parameters

  appender | The appender to add to the root logger.

static void resetConfiguration | ( |  | ) |
| static

Reset the default hierarchy to its defaut.

It is equivalent to calling `Logger::getDefaultHierarchy()->resetConfiguration()`. See Hierarchy::resetConfiguration() for more details.

The documentation for this class was generated from the following file:

- basicconfigurator.h